it-swarm-eu.dev

Xampp Warning: modulo 'openssl' già caricato in linea

Ho installato Xampp su Windows 7. Quando provo a eseguire il codice ottengo l'errore

Attenzione: il modulo 'openssl' è già stato caricato nella riga 0

Questo è lo stesso codice che ho eseguito sul pc in precedenza, tutto ciò che ho fatto è reinstallato Win 7 e un'installazione pulita di XAMPP

32
Mesogi

Sembri avere la linea

extension=php_openssl.dll

due volte nel file php.ini e/o subfiles.

Devi trovare tutti i file php.ini rilevanti nella tua directory xampp e rimuovere o commentare una delle direttive del modulo come questa:

;extension=php_openssl.dll

Dopo un riavvio del server, questo dovrebbe risolverlo.

74
radonthetyrant
  1. Откройте xampp -> PHP -> php.ini

  2. Откройте файл php.ini в любом текстовом редакторе.

  3. НажмитеCTRL+Fи поиск openssl

  4. Прокомментируйте строку extension=php_openssl.dll, поставив точку с запятой в начале: ;extension=php_openssl.dll

Примечание: если вы хотите включить его снова, удалите точку с запятой

20
mtmfahath

installa l'xampp e dai una nuova posizione alla barra richiesta nell'installazione del compositore.

0

Ho avuto lo stesso problema e non c'erano più extension=php_openssl.dll nel mio caso. Il motivo era perché avevo due copie di Apache per qualche motivo, ma ne usavo solo una.

Ho cancellato la copia e modificato la variabile di ambiente Path e OPENSSL_CONF per indicare il server web corretto.

Dopo il riavvio del server Web ha funzionato! Assicurarsi di riavviare tutti i terminali e CMD, altrimenti vengono utilizzate le vecchie variabili di ambiente e l'errore persiste.

0
Black